Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCompressCompositer Class Reference

`#include <vtkCompressCompositer.h>`

Inheritance diagram for vtkCompressCompositer:

[legend]
Collaboration diagram for vtkCompressCompositer:

[legend]
List of all members.

## Detailed Description

Implements compressed tree based compositing.

Date:
  2002/08/12 15:20:30

Revision:
  1.3

vtkCompressCompositer operates in multiple processes. Each compositer has a render window. They use vtkMultiProcessControllers to comunicate the color and depth buffer to process 0's render window. It will not handle transparency. Compositing is run length encoding of back ground pixels. vtkCompositeManager.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (87%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkCompressCompositer.cxx)`
  - .`h` (`/Parallel/vtkCompressCompositer.h)`

Definition at line 50 of file vtkCompressCompositer.h.

## Public Types
typedef vtkCompositer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | CompositeBuffer (vtkDataArray *pBuf, vtkFloatArray *zBuf, vtkDataArray *pTmp, vtkFloatArray *zTmp)
## Static Public Methods
vtkCompressCompositer * | New ()
int | IsTypeOf (const char *type)
vtkCompressCompositer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCompressCompositer ()
| ~vtkCompressCompositer ()
void | Compress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkFloatArray *zOut, vtkDataArray *pOut)
void | Uncompress (vtkFloatArray *zIn, vtkDataArray *pIn, vtkDataArray *pOut, int finalLength)
void | CompositeImagePair (vtkFloatArray *localZ, vtkDataArray *localP, vtkFloatArray *remoteZ, vtkDataArray *remoteP, vtkFloatArray *outZ, vtkDataArray *outP)
## Protected Attributes
vtkDataArray * | InternalPData
vtkFloatArray * | InternalZData
vtkTimerLog * | Timer

## Member Typedef Documentation

typedef vtkCompositer vtkCompressCompositer::Superclass

| Reimplemented from vtkCompositer. Definition at line 54 of file vtkCompressCompositer.h.

## Constructor & Destructor Documentation

vtkCompressCompositer::vtkCompressCompositer | ( |  | ) | `[protected]`

vtkCompressCompositer::~vtkCompressCompositer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCompressCompositer* vtkCompressCompositer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkCompositer.

virtual const char* vtkCompressCompositer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCompositer.

int vtkCompressCompositer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositer.

virtual int vtkCompressCompositer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCompositer.

vtkCompressCompositer* vtkCompressCompositer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCompositer.

void vtkCompressCompositer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCompositer.

virtual void vtkCompressCompositer::CompositeBuffer | ( | vtkDataArray * | pBuf,
|  | vtkFloatArray * | zBuf,
|  | vtkDataArray * | pTmp,
|  | vtkFloatArray * | zTmp
| ) | `[virtual]`

| This method gets called on every process. The final image gets put into pBuf and zBuf. Reimplemented from vtkCompositer.

void vtkCompressCompositer::Compress | ( | vtkFloatArray * | zIn,
|  | vtkDataArray * | pIn,
|  | vtkFloatArray * | zOut,
|  | vtkDataArray * | pOut
| ) | `[protected]`

void vtkCompressCompositer::Uncompress | ( | vtkFloatArray * | zIn,
|  | vtkDataArray * | pIn,
|  | vtkDataArray * | pOut,
|  | int | finalLength
| ) | `[protected]`

void vtkCompressCompositer::CompositeImagePair | ( | vtkFloatArray * | localZ,
|  | vtkDataArray * | localP,
|  | vtkFloatArray * | remoteZ,
|  | vtkDataArray * | remoteP,
|  | vtkFloatArray * | outZ,
|  | vtkDataArray * | outP
| ) | `[protected]`

## Member Data Documentation

vtkDataArray* vtkCompressCompositer::InternalPData`[protected]`

| Definition at line 74 of file vtkCompressCompositer.h.

vtkFloatArray* vtkCompressCompositer::InternalZData`[protected]`

| Definition at line 75 of file vtkCompressCompositer.h.

vtkTimerLog* vtkCompressCompositer::Timer`[protected]`

| Definition at line 77 of file vtkCompressCompositer.h.

The documentation for this class was generated from the following file:

- Parallel/vtkCompressCompositer.h